[med-svn] [Git][med-team/edtsurf][master] 7 commits: Add test data and references

Pranav Ballaney gitlab at salsa.debian.org
Mon Jul 6 08:26:34 BST 2020



Pranav Ballaney pushed to branch master at Debian Med / edtsurf


Commits:
d6172dda by Pranav Ballaney at 2020-07-06T12:44:21+05:30
Add test data and references

- - - - -
462b10c1 by Pranav Ballaney at 2020-07-06T12:44:43+05:30
Make a new binary package for examples

- - - - -
8795824e by Pranav Ballaney at 2020-07-06T12:52:06+05:30
Patch to fix return values

EDTSurf returns 1 on successful execution which breaks autopkgtests
It seems safe to make this change purely by looking at the code and
I can't find any documentation about EDTSurf anywhere

- - - - -
2ceafcc5 by Pranav Ballaney at 2020-07-06T12:52:21+05:30
Add autopkgtests

- - - - -
154ac84f by Pranav Ballaney at 2020-07-06T12:52:33+05:30
Install docs

- - - - -
99f2ccaf by Pranav Ballaney at 2020-07-06T12:52:41+05:30
Add Pranav Ballaney to Uploaders

- - - - -
96f64ced by Pranav Ballaney at 2020-07-06T12:53:15+05:30
Update changelog

- - - - -


13 changed files:

- + debian/README.test
- debian/changelog
- debian/control
- + debian/docs
- + debian/edtsurf-examples.install
- + debian/patches/fix_return_values.patch
- debian/patches/series
- + debian/tests/README.test_data
- + debian/tests/control
- + debian/tests/data/4we2.pdb.gz
- + debian/tests/ref/4we2-cav.pdb.gz
- + debian/tests/ref/4we2.ply.gz
- + debian/tests/run-unit-test


Changes:

=====================================
debian/README.test
=====================================
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+    sh run-unit-test
+
+in order to confirm its integrity.


=====================================
debian/changelog
=====================================
@@ -1,3 +1,14 @@
+edtsurf (0.2009-7) UNRELEASED; urgency=medium
+
+  * Add test data and references
+  * Make a new binary package for examples
+  * Patch to fix return values
+  * Add autopkgtests
+  * Install docs
+  * Add Pranav Ballaney to Uploaders
+
+ -- Pranav Ballaney <ballaneypranav at gmail.com>  Mon, 06 Jul 2020 12:52:53 +0530
+
 edtsurf (0.2009-6) unstable; urgency=medium
 
   [ Steffen Moeller ]


=====================================
debian/control
=====================================
@@ -1,7 +1,8 @@
 Source: edtsurf
 Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller at debian.org>,
-           Andreas Tille <tille at debian.org>
+           Andreas Tille <tille at debian.org>,
+           Pranav Ballaney <ballaneypranav at gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11~)
@@ -14,10 +15,23 @@ Package: edtsurf
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Suggests: meshlab
+Suggests: meshlab, edtsurf-examples
 Description: triangulated mesh surfaces for protein structures
  EDTSurf is a open source program to construct triangulated surfaces
  for macromolecules. It generates three major macromolecular surfaces:
  van der Waals surface, solvent-accessible surface and molecular surface
  (solvent-excluded surface). EDTsurf also identifies cavities which are
  inside of macromolecules.
+
+Package: edtsurf-examples
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Enhances: edtsurf
+Description: triangulated mesh surfaces for protein structures
+ EDTSurf is a open source program to construct triangulated surfaces
+ for macromolecules. It generates three major macromolecular surfaces:
+ van der Waals surface, solvent-accessible surface and molecular surface
+ (solvent-excluded surface). EDTsurf also identifies cavities which are
+ inside of macromolecules.
+ This packages contains some examples for EDTSurf.


=====================================
debian/docs
=====================================
@@ -0,0 +1,3 @@
+debian/README*
+debian/tests/README*
+debian/tests/run-unit-test
\ No newline at end of file


=====================================
debian/edtsurf-examples.install
=====================================
@@ -0,0 +1,2 @@
+debian/tests/data /usr/share/doc/edtsurf/examples/
+debian/tests/ref  /usr/share/doc/edtsurf/examples/
\ No newline at end of file


=====================================
debian/patches/fix_return_values.patch
=====================================
@@ -0,0 +1,28 @@
+--- a/EDTSurf.cpp
++++ b/EDTSurf.cpp
+@@ -36,7 +36,7 @@ int main(int argc, char** argv)
+ 		printf("output1: outname.ply\n");
+ 		printf("output2: outname.asa\n");
+ 		printf("output3: outname-cav.pdb\n");
+-		return 0;
++		return 1;
+ 	}
+ 	for(i=0;i<7;i++)
+ 	{
+@@ -376,7 +376,7 @@ int main(int argc, char** argv)
+ 			fprintf(file,"%4d %4d %c %7.3f\n",i+1,pp.bb[i].resind,pp.bb[i].resid,tsum);
+ 		}
+ 		fclose(file);
+-		return 1;
++		return 0;
+ 	}
+ 	//additional functions below
+ 	pps.checkEuler();
+@@ -413,6 +413,6 @@ int main(int argc, char** argv)
+ 		sprintf(filename,"%s.asa",tpname);
+ 		pps.outsas(pp.numbb,pp.bb,pp.proseq,filename);
+ 	}
+-	return 1;
++	return 0;
+ } 
+ 


=====================================
debian/patches/series
=====================================
@@ -1,2 +1,3 @@
 CFLAGS_missing_in_Makefile.patch
 fix-use-of-unsigned-char.patch
+fix_return_values.patch


=====================================
debian/tests/README.test_data
=====================================
@@ -0,0 +1,2 @@
+data/4we2.pdb was obtained from https://www.rcsb.org/structure/4WE2
+ref/* files were obtained by running 4we2.pdb through EDTSurf as shown in Test 1 in run-unit-test
\ No newline at end of file


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr


=====================================
debian/tests/data/4we2.pdb.gz
=====================================
Binary files /dev/null and b/debian/tests/data/4we2.pdb.gz differ


=====================================
debian/tests/ref/4we2-cav.pdb.gz
=====================================
Binary files /dev/null and b/debian/tests/ref/4we2-cav.pdb.gz differ


=====================================
debian/tests/ref/4we2.ply.gz
=====================================
Binary files /dev/null and b/debian/tests/ref/4we2.ply.gz differ


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,51 @@
+#!/bin/bash
+set -e
+
+pkg=edtsurf
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  # Double quote below to expand the temporary directory variable now versus
+  # later is on purpose.
+  # shellcheck disable=SC2064
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+gunzip -r *
+ls -R
+#do_stuff_to_test_package#
+
+cd data
+
+echo -e "\e[93m\e[1mTest 1\e[0m"
+EDTSurf -i 4we2.pdb
+cd ..
+echo hello
+diff data/4we2.ply ref/4we2.ply
+echo hello2
+diff data/4we2-cav.pdb ref/4we2-cav.pdb
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+cd data
+
+echo -e "\e[93m\e[1mTest 2\e[0m"
+EDTSurf -i 4we2.pdb -t 2 -o 4we2-vcmc-ms
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 3\e[0m"
+EDTSurf -i 4we2.pdb -s 1 -t 1 -o 4we2-mc-vws
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 4\e[0m"
+EDTSurf -i 4we2.pdb -s 2 -t 2 -c 3 -o 4we2-sas-vcmc-chain
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+



View it on GitLab: https://salsa.debian.org/med-team/edtsurf/-/compare/57c9f964fda8f3f14670cf992fe3363466a3169f...96f64ced72b012732dacd52f1b3417012d507aff

-- 
View it on GitLab: https://salsa.debian.org/med-team/edtsurf/-/compare/57c9f964fda8f3f14670cf992fe3363466a3169f...96f64ced72b012732dacd52f1b3417012d507aff
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200706/b40c7401/attachment-0001.html>


More information about the debian-med-commit mailing list